%define upstream_name Event-RPC
%define upstream_version 1.08

Name:           perl-%{upstream_name}
Summary:        Event-RPC - Event based transparent Client/Server RPC framework
Version:        %perl_convert_version %upstream_version
Release:        %mkrel 3
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://search.cpan.org/CPAN/authors/id/J/JR/JRED/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Event)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Glib)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(Net::SSLeay)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::More)
BuildRequires:  perl-devel
BuildRequires:  perl-Event
BuildRequires:  perl-IO-Socket-SSL
BuildConflicts: perl-Net_SSLeay < 1.30

%description
Event::RPC consists of a server and a client library. The server
exports a list of classes and methods, which are allowed to be called
over the network. More specific it acts as a proxy for objects created
on the server side (on demand of the connected clients) which handles
client side methods calls with transport of method arguments and
return values.

The object proxy handles refcounting and destruction of objects
created by clients properly. Objects as method parameters and return
values are handled as well (although with some limitations, see
below).

For the client the whole thing is totally transparent - once connected
to the server it doesn't know whether it calls methods on local or
remote objects.

Also the methods on the server newer know whether they are called
locally or from a connected client. Your application logic is not
affected by Event::RPC at all, at least if it has a rudimentary clean
OO design.

For details on implementing servers and clients please refer to the
man pages of Event::RPC::Server and Event::RPC::Client.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorlib}/Event/RPC*
%{_mandir}/man3/Event::RPC*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.80.0-3pclos2017
- rebuild against updates

